DESCRIPTION = " "
SECTION = "devtools"
LICENSE = "MIT"

PR = "r1"
PV = "1.0.0"

LIC_FILES_CHKSUM = "file://${COMMON_LICENSE_DIR}/MIT;md5=0835ade698e0bcf8506ecda2f7b4f302"

S = "${WORKDIR}/git"

SRC_URI = " \
    git://gitlab.blackfinn.de/tkl/vl53l0x-api.git;protocol=https;tag=${PV} \
"

SRC_URI[md5sum] = "a60bcf593ba5080bc2463a8abe8ab7b3"

DEPENDS = " \
    \
"

RDEPENDS_${PN} = " \
    \
"

TARGET_CC_ARCH += "${LDFLAGS}"

INSANE_SKIP_${PN}-dev += "dev-elf"

do_install() {
	install -d ${D}${libdir}
	install -d ${D}${includedir}
	install -m 0644 ${S}/bin/libvl53l0x.so ${D}${libdir}/
	install -m 0644 ${S}/Api/core/inc/vl53l0x_api.h ${D}${includedir}
	install -m 0644 ${S}/platform/inc/vl53l0x_platform.h ${D}${includedir}
}

PACKAGES = "${PN} ${PN}-dbg ${PN}-dev"

FILES_${PN} = "${libdir}/libvl53l0x.so"

FILES_${PN}-dev = " \
	${includedir}/vl53l0x_api.h \
	${includedir}/vl53l0x_platform.h \
"

